# Uses of Class
org.apache.lucene.search.PhraseMatcher

Packages that use PhraseMatcher
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of PhraseMatcher in org.apache.lucene.search

  Subclasses of PhraseMatcher in org.apache.lucene.search
  Modifier and Type
  Class
  Description
  `final class`
  `ExactPhraseMatcher`
  Expert: Find exact phrases
  `final class`
  `SloppyPhraseMatcher`
  Find all slop-valid position-combinations (matches) encountered while traversing/hopping the PhrasePositions.
  Methods in org.apache.lucene.search that return PhraseMatcher
  Modifier and Type
  Method
  Description
  `protected abstract PhraseMatcher`
  PhraseWeight.`getPhraseMatcher(LeafReaderContext context, Similarity.SimScorer scorer, boolean exposeOffsets)`